# File generated by kdevelop's qmake manager. 
# ------------------------------------------- 
# Subdir relative project main directory: ./debtagsplugin
# Target is a library:  

# debug mode only

FORMS += debtagssettingswidget.ui \
         choosentagsdisplay.ui \
         relatedfeedbackwidget.ui \
         relatedinput.ui \
         tagchooserwidget.ui 
HEADERS += debtagsplugin.h \
           debtagsplugincontainer.h \
           relatedplugin.h \
           selectioninputanddisplay.h \
           debtagspluginfactory.h \
           debtagssettingswidget.h \
           relatedfeedbackwidget.h \
           relatedinput.h \
           tagchooserwidget.h \
           choosentagsdisplay.h \
           debtagshelper.h \
           vocabularymodel.h \
           selectedtagsview.h \
           unselectedtagsview.h \
           vocabularymodelrole.h \
           filterselectedproxymodel.h \
           filterhiddenproxymodel.h \
           taglistproxymodel.h \
           emptytagfilter.h \
           treefiltermodel.h
SOURCES += debtagsplugin.cpp \
           debtagsplugincontainer.cpp \
           relatedplugin.cpp \
           selectioninputanddisplay.cpp \
           debtagspluginfactory.cpp \
           debtagssettingswidget.cpp \
           relatedfeedbackwidget.cpp \
           relatedinput.cpp \
           tagchooserwidget.cpp \
           choosentagsdisplay.cpp \
           vocabularymodel.cpp \
           selectedtagsview.cpp \
           unselectedtagsview.cpp \
           filterselectedproxymodel.cpp \
           filterhiddenproxymodel.cpp \
           emptytagfilter.cpp \
 debtagshelper.cpp
TRANSLATIONS = ../../../translations/debtagsplugin_de.ts \
	../../../translations/debtagsplugin_es.ts
TEMPLATE = lib
CONFIG += warn_on \
	qt \
	thread \
	stl \
	plugin \
	link_pkgconfig

OBJECTS_DIR = .obj
UI_DIR = .ui
MOC_DIR = .moc
DESTDIR = ../
VERSION = 0.0.1
INCLUDEPATH += . \
	../../
# QMAKE_CXXFLAGS += --include ../../workarounds.h
PKGCONFIG += libept

# this is required to remove the --no-undefined flag, which causes a linker error
QMAKE_LFLAGS -= -Wl,--no-undefined
# yeah, go for C++11!
# QMAKE_CXXFLAGS += -std=c++0x
# add standard Debian flags
QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CPPFLAGS)
QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CXXFLAGS)
QMAKE_LFLAGS += $$system(dpkg-buildflags --get LDFLAGS)

QT += xml

debug {
    message("generating debug version")
    OBJECTS_DIR = .obj_debug
    DEFINES += __DEBUG
    CONFIG -= release
    include(../../modeltest/modeltest.pri)
}
else {
    message("generating release version")
    OBJECTS_DIR = .obj
}

# QMAKE_CXX = g++-4.6
